/*****************************************************************************
 *
 * 2002 Polytechnic University of Valencia.
 *
 * This program was ported to the Windows 2000 / Windows CE 3.0 platforms
 * by Carlos Miguel Tavares Calafate.
 *
 * For licencing information, see the licence provided by INRIA, which is
 * a Berkeley Copyright licence.
 *
 * For more info on the Windows 2000 and Windows CE versions, check the site:
 *
 * http://reptar.grc.upv.es/~calafate/
 *
 * Authors: Carlos Calafate, <calafate@disca.upv.es>
 *
 *****************************************************************************/

extern CString * text;

extern CEdit * editbox;

struct options {
	char device[64];
	int debug;
	int trace;	
	char tracefile[64];
	int tracelevel;
};

void initialize_communication(CEdit * editbox);

void printf(char * data);

BOOL ascii_unicode(char * in,TCHAR * out, int size);

BOOL unicode_ascii(const TCHAR * in,char * out, int size);

void cleanup(void);