/*****************************************************************************
 *
 * 2002 Polytechnic University of Valencia.
 *
 * This program was ported to the Windows 2000 / Windows CE 3.0 platforms
 * by Carlos Miguel Tavares Calafate.
 *
 * For licencing information, see the licence provided by INRIA, which is
 * a Berkeley Copyright licence.
 *
 * For more info on the Windows 2000 and Windows CE versions, check the site:
 *
 * http://reptar.grc.upv.es/~calafate/
 *
 * Authors: Carlos Calafate, <calafate@disca.upv.es>
 *
 *****************************************************************************/

// wceolsrdv2Dlg.h : header file
//

#if !defined(AFX_WCEOLSRDV2DLG_H__19935F64_D7EC_48D9_82FD_1A41531C4023__INCLUDED_)
#define AFX_WCEOLSRDV2DLG_H__19935F64_D7EC_48D9_82FD_1A41531C4023__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "defs.h"

/////////////////////////////////////////////////////////////////////////////
// CWceolsrdv2Dlg dialog

class CWceolsrdv2Dlg : public CDialog
{
// Construction
public:
	CWceolsrdv2Dlg(CWnd* pParent = NULL);	// standard constructor
	struct options opts;

// Dialog Data
	//{{AFX_DATA(CWceolsrdv2Dlg)
	enum { IDD = IDD_WCEOLSRDV2_DIALOG };
	CButton	m_start;
	CEdit	m_text;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWceolsrdv2Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	THRID olsr_thr;

	// Generated message map functions
	//{{AFX_MSG(CWceolsrdv2Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnExit();
	afx_msg void OnStart();
	afx_msg void OnStop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WCEOLSRDV2DLG_H__19935F64_D7EC_48D9_82FD_1A41531C4023__INCLUDED_)
