/*****************************************************************************
 *
 * 2002 Polytechnic University of Valencia.
 *
 * This program was ported to the Windows 2000 / Windows CE 3.0 platforms
 * by Carlos Miguel Tavares Calafate.
 *
 * For licencing information, see the licence provided by INRIA, which is
 * a Berkeley Copyright licence.
 *
 * For more info on the Windows 2000 and Windows CE versions, check the site:
 *
 * http://reptar.grc.upv.es/~calafate/
 *
 * Authors: Carlos Calafate, <calafate@disca.upv.es>
 *
 *****************************************************************************/

#if !defined(AFX_CHOICESDIALOG_H__EC4B546D_DBEB_4A64_B1EC_4F935F23C0D7__INCLUDED_)
#define AFX_CHOICESDIALOG_H__EC4B546D_DBEB_4A64_B1EC_4F935F23C0D7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// ChoicesDialog.h : header file
//

#include "defs.h"

/////////////////////////////////////////////////////////////////////////////
// CChoicesDialog dialog

class CChoicesDialog : public CDialog
{
// Construction
public:
	CChoicesDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CChoicesDialog)
	enum { IDD = IDD_CHOICES };
	CSpinButtonCtrl	m_spin;
	CEdit	m_tlevel;
	CComboBox	m_devices;
	BOOL	m_trace;
	BOOL	m_debug;
	CString	m_filename;
	int		m_tofile;
	int		m_toscreen;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChoicesDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	
	DEVLIST devs; 
	

	// Generated message map functions
	//{{AFX_MSG(CChoicesDialog)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnTraces();
	afx_msg void OnTracef();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHOICESDIALOG_H__EC4B546D_DBEB_4A64_B1EC_4F935F23C0D7__INCLUDED_)
