/*****************************************************************************
 *
 * 2002 Polytechnic University of Valencia.
 *
 * This program was ported to the Windows 2000 / Windows CE 3.0 platforms
 * by Carlos Miguel Tavares Calafate.
 *
 * For licencing information, see the licence provided by INRIA, which is
 * a Berkeley Copyright licence.
 *
 * For more info on the Windows 2000 and Windows CE versions, check the site:
 *
 * http://reptar.grc.upv.es/~calafate/
 *
 * Authors: Carlos Calafate, <calafate@disca.upv.es>
 *
 *****************************************************************************/

#include "stdafx.h"

#include "defs.h"


CString * text;

CEdit * editbox;

PICAmutex mut;

void initialize_communication(CEdit * edb) {

	editbox = edb;
	text = new CString();
	PICAcreateMutex(&mut);
}

void printf(char * data) {

//	int min,max;

	PICAmutexAction(MUTEX_ACQUIRE,&mut);

	*text += data;

	editbox->SetWindowText(text->GetBuffer(1));
//	editbox->GetScrollRange(SB_VERT,&min,&max);
//	editbox->SetScrollPos(SB_VERT,max,TRUE);
//	editbox->ScrollWindow(0,max);

	PICAmutexAction(MUTEX_RELEASE,&mut);

}

BOOL ascii_unicode(char * in,TCHAR * out, int size) {

	if (!MultiByteToWideChar(CP_ACP,MB_PRECOMPOSED,in,-1,out,size)) return FALSE;
	return TRUE;
}

BOOL unicode_ascii(const TCHAR * in,char * out, int size) {

	if (!WideCharToMultiByte(CP_ACP,WC_COMPOSITECHECK,in,-1,out,size,NULL,NULL)) return FALSE;
	return TRUE;
}

void cleanup(void) {
	
	
	olsr_delete_all_kernel_routes(0);

	PICAcloseSocket(s);

	PICAdestroyMutex(&mut);

	PICAcleanup();

}